const VueRouter = require('vue-router');

import Home from './views/Home.vue';
import Blog from './views/Blog.vue';
import Snippets from './views/Snippets.vue';
import Contact from './views/Contact.vue';

const routes = [
    { path: '/', name: 'index', component: Home },
    { path: '/blog', name: 'blog', component: Blog },
    { path: '/snippets', name: 'snippets', component: Snippets },
    { path: '/contact', name: 'contact', component: Contact },
];

const router = VueRouter.createRouter({
    history: VueRouter.createWebHistory(),
    routes,
});

export default router
